/*
*  Name:      stack_value.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   UESQL stack value for scanner/parser
*  Date:      $Date: 1999/09/20 10:07:16 $
*  Revision:  $Revision: 1.6 $
*
*  Copyright (C) 1996-1999  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _STACK_VALUE__
#define _STACK_VALUE__

#include <mpcl/string.hh>


///  Stack value for parser.
class TStackValue
{

  public:

    ///  String with original text.
    mpcl::xstring   yOriginalText;

    ///  String with code generated.
    mpcl::xstring   yCode;

    ///  Number of items (for parameter lists).
    int             iItemCount;

    ///  True if <column definition> has been reduced to this no-terminal.
    bool            gHasColumnDefinition;


  public:

    //
    //  C O N S T R U C T O R S
    //
 
    ///  Builds a new instance.
    TStackValue (void)             :
      yOriginalText        ()      ,
      yCode                ()      ,
      iItemCount           (-1)    ,
      gHasColumnDefinition (false) {}

};  // class TStackValue


#endif  // not _STACK_VALUE__
